Subject: Re: [PATCH 0/1] Alias 'list'-subcommands to 'ls'

From: Junio C Hamano <[email-masked]>
Date: Mon, 12 Oct 2020 13:19:53 -0700

Cedric Schwyter <[email-masked]> writes:

> Since many CLI-tools make use of this alias and many programmers are
> used to it I thought I'd add it to git since I was missing such an alias.

Is there a "git somecmd" that allows "git somecmd ls" form, while
these "git stash list", "git worktree list" subcommands take "list"
and not "ls"?  If so, this change may make sense, but otherwise, not
really.

>
> I only added it to built-in subcommands for now, might add it to some
> more commands in the future.
>
> Cedric Schwyter (1):
>   subcommands: alias 'list'-subcommands to 'ls' where applicable
>   docs: update docs with new alias
>
>  Documentation/git-bundle.txt          | 4 ++++
>  Documentation/git-sparse-checkout.txt | 3 +++
>  Documentation/git-stash.txt           | 5 +++++
>  Documentation/git-worktree.txt        | 5 +++++
>  builtin/bundle.c                      | 3 ++-
>  builtin/sparse-checkout.c             | 3 ++-
>  builtin/stash.c                       | 4 +++-
>  builtin/worktree.c                    | 3 ++-
>  8 files changed, 26 insertions(+), 4 deletions(-)